Bug 2039069 - Provide golang-github-prometheus-alertmanager for EPEL-8 and EPEL-9
Summary: Provide golang-github-prometheus-alertmanager for EPEL-8 and EPEL-9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-prometheus-alertmanager
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-10 20:50 UTC by Stefan Bluhm
Modified: 2022-01-25 07:51 UTC (History)
2 users (show)

Fixed In Version: golang-github-prometheus-alertmanager-0.23.0-6.el9 golang-github-prometheus-alertmanager-0.23.0-7.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-25 01:35:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Stefan Bluhm 2022-01-10 20:50:26 UTC
Can you please provide golang-github-prometheus-alertmanager for EPEL-8 and EPEL-9 (priority on EPEL-8)?

I am also happy to contribute, test or take EPEL ownership, if you like.

Thank you and best wishes,

Stefan

Comment 1 Robert-André Mauchin 🐧 2022-01-11 23:08:44 UTC
Hi I'm working on this. The package will be revamped though with breaking changes compared to F34/F35. See the changes here: https://src.fedoraproject.org/rpms/golang-github-prometheus-alertmanager/blob/rawhide/f/golang-github-prometheus-alertmanager.spec
I'm starting with EPEL9 first as the tooling we have is simplier than in EPEL8.
I'll try to finish it this week-end.

Comment 2 Fedora Update System 2022-01-11 23:19:26 UTC
FEDORA-EPEL-2022-286454aa96 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-286454aa96

Comment 3 Fedora Update System 2022-01-12 00:31:51 UTC
FEDORA-EPEL-2022-b711379c24 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-b711379c24

Comment 4 Robert-André Mauchin 🐧 2022-01-12 00:33:23 UTC
Please kindly test the packages,

Comment 5 Fedora Update System 2022-01-12 02:11:14 UTC
FEDORA-EPEL-2022-286454aa96 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-286454aa96

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Stefan Bluhm 2022-01-12 15:56:44 UTC
THANK YOU!

Installation works on EL9 but fails on EL8:

Transaktionsüberprüfung wird ausgeführt
Transaktionsprüfung war erfolgreich.
Transaktion wird getestet
Transaktionstest war erfolgreich.
Transaktion wird ausgeführt
  Vorbereitung läuft    :                                                                                                                                                                                      1/1 
  Ausgeführtes Scriptlet: golang-github-prometheus-alertmanager-0.23.0-4.el8.x86_64                                                                                                                            1/1 
/var/tmp/rpm-tmp.XgaYkH: Zeile 1: fg: Keine Job Steuerung in dieser Shell.
Fehler: %prein(golang-github-prometheus-alertmanager-0.23.0-4.el8.x86_64) Scriptlet fehlgeschlagen, Beenden-Status 1

Error in PREIN scriptlet in rpm package golang-github-prometheus-alertmanager
  Überprüfung läuft     : golang-github-prometheus-alertmanager-0.23.0-4.el8.x86_64                                                                                                                            1/1 

Fehlgeschlagen:
  golang-github-prometheus-alertmanager-0.23.0-4.el8.x86_64                                                                                                                                                        

Fehler: Transaktion fehlgeschlagen

Comment 7 Fedora Update System 2022-01-13 01:52:43 UTC
FEDORA-EPEL-2022-b711379c24 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-b711379c24

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-01-15 01:37:33 UTC
FEDORA-EPEL-2022-1b165eb4cf has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-1b165eb4cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-01-15 01:48:07 UTC
FEDORA-EPEL-2022-e743d3243c has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-e743d3243c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Stefan Bluhm 2022-01-15 09:25:16 UTC
EPEL8 is still not working with the latest patch.
I just noted that %sysusers_create_compat is probably not in RHEL8: https://www.spinics.net/lists/fedora-devel/msg295385.html

So this might be the approach (untested):

%pre
getent group prometheus >/dev/null || groupadd -r prometheus
getent passwd prometheus >/dev/null || \
    useradd -r -g prometheus -d /var/lib/prometheus -s /sbin/nologin \
    -c "Shared system user for all Prometheus components" prometheus

Comment 11 Fedora Update System 2022-01-16 01:29:44 UTC
FEDORA-EPEL-2022-17997db731 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-17997db731

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-01-17 02:39:04 UTC
FEDORA-EPEL-2022-670ac565a3 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-670ac565a3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-01-17 02:48:44 UTC
FEDORA-EPEL-2022-6cac670065 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-6cac670065

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-01-25 01:35:43 UTC
FEDORA-EPEL-2022-6cac670065 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2022-01-25 01:44:53 UTC
FEDORA-EPEL-2022-670ac565a3 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Stefan Bluhm 2022-01-25 07:51:28 UTC
@Robert-André Mauchin. Thank you for your efforts on this! Much appreciated!


Note You need to log in before you can comment on or make changes to this bug.